
Base Distribution - Story # 7144

Status: Resolved Priority: Must have
Author: Robert Lemke Category:
Created: 2010-04-06 Assigned To:
Updated: 2011-05-05 Due date:
Subject: As a PHP Developer I want to have an easy API to create a page and add content to it.
Description

As a [[PHP Developer]] I want to have an easy API to create a page and add content to it

    -  demo controller
    -  developer documentation explaining the usage

Related issues:
related to TYPO3.Neos - Task # 7334: Finish/clean up the content model Resolved
related to TYPO3.Neos - Task # 7336: Refactor Content Repository so that it's... Rejected 2010-04-27
related to TYPO3.Neos - Task # 7338: Refactor TYPO3 Content Service so that i... Closed
related to TYPO3.Neos - Task # 7339: Create the demo controller which creates... Resolved

History
#1 - 2010-04-06 17:43 - Robert Lemke
- Project changed from 1204 to Core Team

#2 - 2010-04-06 17:44 - Robert Lemke
- Status changed from New to Accepted
- Target version set to 516

#3 - 2010-04-06 17:58 - Robert Lemke
- Project changed from Core Team to TYPO3 Neos
- Target version deleted (516)

#4 - 2010-04-06 17:58 - Robert Lemke
- Target version set to 517

#5 - 2010-04-07 17:34 - Karsten Dambekalns
- Project changed from TYPO3 Neos to Core Team
- Target version deleted (517)

#6 - 2010-04-08 10:13 - Robert Lemke
- Target version set to 518

#7 - 2010-04-11 20:45 - Daniel Poetzinger
Criterias:
    -  with a CLI call the page and contentstructure for a basic demopackage should be added.
As a kickstart there should be:
    -  Create a Pagetree for Demopackage (Jens will create one :-)
    -  Add some dummy Textelements on it

    -  there should be an API documentation that can be read by PHP developers, so that they know how to fill and access the TYPO3 5.0
content-repository
#8 - 2010-04-16 14:30 - Robert Lemke
- Priority changed from Must have to Should have

#9 - 2010-04-16 14:32 - Robert Lemke
- Priority changed from Should have to Must have

#10 - 2010-05-14 21:16 - Karsten Dambekalns
- % Done changed from 0 to 30

#11 - 2010-05-28 16:56 - Karsten Dambekalns
- Status changed from Accepted to Resolved

#12 - 2010-05-28 17:07 - Robert Lemke
- % Done changed from 30 to 100

#13 - 2011-05-05 13:49 - Robert Lemke
- Project changed from Core Team to Base Distribution
- Target version deleted (518)
